﻿namespace WFAProviders;

interface

uses
  System.Drawing,
  System.Collections,
  System.Collections.Generic,
  System.Windows.Forms,
  System.ComponentModel,
  System.Data.SqlClient,
  System.Data.OleDb,
  System.Data.Odbc,
  System.Data,
  System.Data.Common;

type
  /// <summary>
  /// Summary description for MainForm.
  /// </summary>
  MainForm = partial class(System.Windows.Forms.Form)
  private
      method button1_Click(sender: System.Object; e: System.EventArgs);
      method button2_Click(sender: System.Object; e: System.EventArgs);
      method button3_Click(sender: System.Object; e: System.EventArgs);
      method button4_Click(sender: System.Object; e: System.EventArgs);
  protected
    method Dispose(disposing: Boolean); override;
  public
    constructor;
  end;

implementation

{$REGION Construction and Disposition}
constructor MainForm;
begin
  //
  // Required for Windows Form Designer support
  //
  InitializeComponent();

  //
  // TODO: Add any constructor code after InitializeComponent call
  //
end;

method MainForm.Dispose(disposing: Boolean);
begin
  if disposing then begin
    if assigned(components) then
      components.Dispose();

    //
    // TODO: Add custom disposition code here
    //
  end;
  inherited Dispose(disposing);
end;
{$ENDREGION}

method MainForm.button1_Click(sender: System.Object; e: System.EventArgs);
begin
  var xsqlclientConnection:SqlConnection := new SqlConnection();
  xsqlclientConnection.ConnectionString := "Data Source=Technologies\sql2008; Initial Catalog=AdventureWorks; Integrated Security=false; User Id=sa; password=997220201";
  xsqlclientConnection.Open();
  if (xsqlclientConnection.State = ConnectionState.Open) then 
  begin
    MessageBox.Show("Conexão OK", 
                    "Atenção", 
                    MessageBoxButtons.OK,
                    MessageBoxIcon.Information
                  );
    end;        
end;

method MainForm.button2_Click(sender: System.Object; e: System.EventArgs);
begin
  var xoledbConnection :OleDbConnection :=  new OleDbConnection();
  xoledbConnection.ConnectionString:= "Provider=SQLOLEDB; Data Source=Technologies\sql2008;Catalog=AdventureWorks; Integrated Security=SSPI; User Id=sa; password=997220201";
  xoledbConnection.Open();            
  if (xoledbConnection.State =ConnectionState.Open) then
  begin
    MessageBox.Show("Conexão OK", 
                    "Atenção", 
                    MessageBoxButtons.OK,
                    MessageBoxIcon.Information
                   );
  end;          
end;

method MainForm.button3_Click(sender: System.Object; e: System.EventArgs);
begin
  var xodbcConnection:OdbcConnection := new OdbcConnection();
  xodbcConnection.ConnectionString := "Driver={SQL Server};Server=Technologies\sql2008;Trusted_Connection=Yes;Database=AdventureWorks; User Id=sa; Password=997220201";
  xodbcConnection.Open();
  if (xodbcConnection.State = ConnectionState.Open) then
  begin
    MessageBox.Show("Conexão OK", "Atenção", 
                    MessageBoxButtons.OK, 
                    MessageBoxIcon.Information
                  );
  end;         
end;

method MainForm.button4_Click(sender: System.Object; e: System.EventArgs);
begin
  var xproviderFactory:DbProviderFactory :=
  DbProviderFactories.GetFactory("System.Data.SqlClient");
  
  var xdbConnection:DbConnection;
  xdbConnection:= xproviderFactory.CreateConnection();
  xdbConnection.ConnectionString := "Data Source=Technologies\sql2008; Initial Catalog=AdventureWorks; Integrated Security=false; User Id=sa; password=997220201";
  xdbConnection.Open();
  if (xdbConnection.State = ConnectionState.Open) then
  begin
    MessageBox.Show("Conexão OK", "Atenção", MessageBoxButtons.OK, MessageBoxIcon.Information);
  end;
end;

end.
